<?php
require_once 'dompdf/autoload.inc.php';
// reference the Dompdf namespace
use Dompdf\Dompdf;

include "includes/db.php";
include "includes/auth.php";
$msg="";

if (isset($_POST["delete"])) {
  $purchase_history_id=$_POST['purchase_history_id'];
  $query="DELETE FROM `purchase_history` WHERE `purchase_history_id` = '$purchase_history_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Purchase Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}



if (isset($_POST["genrate_pdf"])) {
  $purchase_history_id=$_POST["purchase_history_id"];
  $sales_query = mysqli_query($con,"SELECT * FROM `purchase_history` where purchase_history_id='$purchase_history_id'");
  while($fetch_data = mysqli_fetch_array($sales_query)){ 
    $pc_products=$fetch_data["pc_products"];
    $npc_products=$fetch_data["npc_products"];
    $total_cartons=$fetch_data["total_cartons"];
    $total_weight=$fetch_data["total_weight"];
    $total_amount=number_format($fetch_data["total_amount"],2);
    $date_time=$fetch_data["date_time"];
    $vehicle_no=$fetch_data["vehicle_no"];
  }

$date_time=strtotime($date_time);
$formatted_date = date("D, d M y | h:i A", $date_time);

$date=date("Y/m/d");  
$products_area='';
if ($pc_products!="") {
     $products_area.='<tr class="heading"><td>PC List</td></tr>
                <tr class="heading1">
                   <td>Product</td>
                   <td>Purchase Price <small>(18% GST)</small></td>
                   <td>Cartons</td>
                    <td>Weight</td>
                    <td>Amount</td>
                </tr>'.$pc_products;
}
if ($npc_products!="") {
     $products_area.='<tr class="heading"><td>NPC List</td></tr>
                <tr class="heading1">
                   <td>Product</td>
                   <td>Purchase Price <small>(18% GST)</small></td>
                   <td>Cartons</td>
                    <td>Weight</td>
                    <td>Amount</td>
                </tr>'.$npc_products;
}

$content='<style>
         .invoice-box {
            margin: auto;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
            font-size: 16px;
            line-height: 24px;
            color: #555;
         }

         .invoice-box table {
            line-height: inherit;
            text-align: left;
            border-collapse: collapse;
         }

         .invoice-box table td {
            padding: 5px;
            vertical-align: top;
         }

         .invoice-box table tr td:nth-child(2) {
            text-align: left;
         }

         .invoice-box table tr.top table td {
            padding-bottom: 20px;
         }

         .invoice-box table tr.top table td.title {
            font-size: 45px;
            line-height: 45px;
            color: #333;
         }

         .invoice-box table tr.information table td {
            padding-bottom: 40px;
         }

         .invoice-box table tr.heading td {
            background: #716cb9;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: white;
            font-size:18px;
         }

         .heading1 {
            background: #e3e3e3;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: #3a3a3a;
            font-size: 16px;
         }

         .invoice-box table tr.details td {
            padding-bottom: 20px;
         }

         .invoice-box table tr.item td {
            border-bottom: 1px solid #eee;
         }

         .invoice-box table tr.item.last td {
            border-bottom: none;
         }

         .invoice-box table tr.total td:nth-child(2) {
            border-top: 2px solid #eee;
            font-weight: bold;
         }

      </style>
      <div class="invoice-box">
      <p style="font-size:22px;font-weight:bold;color:#252161;text-align:center;padding-top:20px;font-family:sans-serif">Purchase Details </p>
         <table style="width:100%">
            <tr class="top">
               <td colspan="5">
                  <table style="width:100%">
                     <tr>
                        <td class="title">
                           <img src="https://mhadeed.com/mh-enterprises/assets/img/logo.png" alt="Company logo" style="max-width: 120px;" />
                        </td>
                        <td style="text-align: right;">
                           SR: #'.$purchase_history_id.'<br/>
                           By: Zain ul Abideen<br/>
                           '.$formatted_date.'<br/>
                           Vehicle No:
                           '.$vehicle_no.'<br/>
                        </td>
                     </tr>
                  </table>
               </td>
            </tr>

            <tr class="information">
               <td colspan="5">
                  <table style="width:100%">
                     <tr>
                         <td>
                          <b>From:</b> <br /> 
                           M.Hadeed Traders<br />
                           Mudassar Bhatti Cotton Mill Near AMK Steel Mills <br />Opposite Maverick CNG Falsalabad <br />Bye Pass SheikhupuraK<br />
                           03218620288<br />
                        </td>

                        <td style="text-align: right;"></td>
                     </tr>
                     
                  </table>
               </td>
            </tr>
            '.$products_area.'
            <tr class="heading1">
                        <td colspan="2" style="text-align:right">Total</td>
                        <td>'.$total_cartons.'</td>
                        <td>'.$total_weight.'</td>
                        <td>'.$total_amount.'</td>
                     </tr>
            </table></div>';

            $date=date("Y-m-d");
            $PDFFileN = "purchase_".$date.".pdf";
            

            // instantiate and use the dompdf class
            $dompdf = new Dompdf(array('enable_remote' => true));

            $dompdf->loadHtml($content);

            // (Optional) Setup the paper size and orientation
            $dompdf->setPaper('A3', 'portrait');

            // Render the HTML as PDF
            $dompdf->render();

            $dompdf->stream($PDFFileN);        


}




 ?>


<?php
// Below is optional, remove if you have already connected to your database.
$mysqli = mysqli_connect('localhost', $username,$password,$database);

$quer="SELECT * FROM purchase_history ORDER By purchase_history_id desc"; 

$total_pages = $mysqli->query($quer)->num_rows;

// Check if the page number is specified and check if it's a number, if not return the default page number which is 1.
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;

// Number of results to show on each page.
$num_results_on_page = 25;
 $que="SELECT * FROM purchase_history ORDER BY purchase_history_id DESC LIMIT ?,?";


if ($stmt = $mysqli->prepare($que)) {
   // Calculate the page to get the results we need from our table.
   $calc_page = ($page - 1) * $num_results_on_page;
   $stmt->bind_param('ii', $calc_page, $num_results_on_page);
   $stmt->execute(); 
   // Get the results...
   $result = $stmt->get_result();
   ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Purchase List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Purchase List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Purchase</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>Products</th>
                    <th>Total Cartons</th>
                    <th>Total Weight</th>
                    <th>Total Amount</th>
                    <th>Vehicle No</th>
                    <th>Date</th>
                    <th width="20%">Action</th>
                  </tr>
                </thead>
                <tbody>
                   <?php while ($fetch = $result->fetch_assoc()): ?>
                  <tr>
                    <td><?php echo $fetch["no_of_products"]; ?> Products</td>
                    <td><?php echo $fetch["total_cartons"]; ?></td>
                    <td><?php echo $fetch["total_weight"]; ?></td>
                    <td><?php echo number_format($fetch["total_amount"],2); ?></td>
                    <td><?php echo $fetch["vehicle_no"]; ?></td>
                    <td><?php
                             $date_time=strtotime($fetch["date_time"]);
                             $formatted_date = date("D, d M y | h:i A", $date_time);
                             echo $formatted_date;
                             ?></td>
                    <td>
                      <form method="POST">
                      <input type="hidden" name="purchase_history_id" value="<?php echo $fetch["purchase_history_id"]; ?>">
                      <button class="btn btn-success btn-sm" type="submit" name="genrate_pdf"><i class="bi bi-file-earmark-pdf"></i></button>

                      <a href="view_purchase.php?id=<?php echo $fetch["purchase_history_id"]; ?>" class="btn btn-primary btn-sm" target="_blank"><i class="ri-eye-fill"></i></a>
                      <button class="btn btn-danger btn-sm" type="submit" name="delete"><i class="bi bi-trash"></i></button>
                      </form>
                    </td>

              
              <div class="modal fade" id="delete_modal<?php echo $fetch["sale_history_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["description"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="product_id" value="<?php echo $fetch["product_id"]; ?>">
                        <p>Do you want to delete this product?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php endwhile; ?>               
                </tbody>
              </table>
                </div> 
<div class="dataTable-bottom">
         <?php if (ceil($total_pages / $num_results_on_page) > 0): ?>
        
         <ul class="news">
            <?php if ($page > 1): ?>
            <li class="prev"><a href="purchase_list.php?page=<?php echo $page-1 ?>">Prev</a></li>
            <?php endif; ?>

            <?php if ($page > 3): ?>
            <li class="start"><a href="purchase_list.php?page=1">1</a></li>
            <li class="dots">...</li>
            <?php endif; ?>

            <?php if ($page-2 > 0): ?><li class="page"><a href="purchase_list.php?page=<?php echo $page-2 ?>"><?php echo $page-2 ?></a></li><?php endif; ?>
            <?php if ($page-1 > 0): ?><li class="page"><a href="purchase_list.php?page=<?php echo $page-1 ?>"><?php echo $page-1 ?></a></li><?php endif; ?>

            <li class="currentpage"><a href="purchase_list.php?page=<?php echo $page ?>"><?php echo $page ?></a></li>

            <?php if ($page+1 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="purchase_list.php?page=<?php echo $page+1 ?>"><?php echo $page+1 ?></a></li><?php endif; ?>
            <?php if ($page+2 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="purchase_list.php?page=<?php echo $page+2 ?>"><?php echo $page+2 ?></a></li><?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)-2): ?>
            <li class="dots">...</li>
            <li class="end"><a href="purchase_list.php?page=<?php echo ceil($total_pages / $num_results_on_page) ?>"><?php echo ceil($total_pages / $num_results_on_page) ?></a></li>
            <?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)): ?>
            <li class="next"><a href="purchase_list.php?page=<?php echo $page+1 ?>">Next</a></li>
            <?php endif; ?>
         </ul>
         <?php endif; ?>
                              </div>                             
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>
  <style>        
        .news {
            list-style-type: none;
            padding: 10px 0;
            display: inline-flex;
            justify-content: space-between;
            box-sizing: border-box;
         }
         .news li {
            box-sizing: border-box;
            padding-right: 10px;
         }
         .news li a {
            box-sizing: border-box;
            background-color: #e2e6e6;
            padding: 8px;
            text-decoration: none;
            font-size: 12px;
            font-weight: bold;
            color: #616872;
            border-radius: 4px;
         }
         .news li a:hover {
            background-color: #d4dada;
         }
         .news .next a, .news .prev a {
            text-transform: uppercase;
            font-size: 12px;
         }
         .news .currentpage a {
            background-color: #518acb;
            color: #fff;
         }
         .news .currentpage a:hover {
            background-color: #518acb;
         }
         </style>
         <script type="text/javascript">          
             const datatables = select('.datatable', true)
              datatables.forEach(datatable => {
                new simpleDatatables.DataTable(datatable, {
                  perPageSelect: [5, 10, 15, ["All", -1]],
                  "paging": false,
                  columns: [{
                      select: 2,
                      sortSequence: ["desc", "asc"]
                    },
                    {
                      select: 3,
                      sortSequence: ["desc"]
                    },
                    {
                      select: 4,
                      cellClass: "green",
                      headerClass: "red"
                    }
                  ]
                });
              })
         </script>
</body>

</html>
<?php
   $stmt->close();
}
?>