<!DOCTYPE html>
<html>
<head>
    <title>Discount Field</title>
    <script>
        function toggleDiscountField() {
            var discountField = document.getElementById("discountField");
            var addDiscountCheckbox = document.getElementById("addDiscountCheckbox");
            
            // If the checkbox is checked, show the discount field; otherwise, hide it
            if (addDiscountCheckbox.checked) {
                discountField.style.display = "block";
            } else {
                discountField.style.display = "none";
            }
        }
        
        function calculateTotalVal() {
            var discountValueInput = document.getElementById("discountValue");
            var discountValue = parseFloat(discountValueInput.value);
            var allAmountInput = document.getElementById("allAmount");
            var allAmount = parseFloat(allAmountInput.value);
            
            // Check if discount value is valid
            if (!isNaN(discountValue)) {
                // Calculate discounted amount
                var discountedAmount = allAmount - discountValue;
                
                // Update allAmount input with discounted amount
                allAmountInput.value = discountedAmount.toFixed(2); // toFixed(2) to display two decimal places
            }
        }
    </script>
</head>
<body>
    <div class="row">
        <div class="offset-md-10 col-md-2"  style="background-color:#f1f1f1;padding: 10px 0px;">
            <div class="form-check">
                <label class="form-check-label">
                    <input type="checkbox" class="form-check-input" id="addDiscountCheckbox" name="add_discount" value="Add Discount" onchange="toggleDiscountField()">Add Discount
                </label>
            </div>
            <div id="discountField" style="display: none;">
                <label class="form-check-label">Discount:</label>
                <input type="number" step="0.1" class="form-control" name="discount_value" id="discountValue" oninput="calculateTotalVal()">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10"></div>
        <div class="col-md-2"  style="background-color:#f1f1f1;padding: 10px 0px;">
            <label class="form-label">Grand Amount:</label>
            <input type="hidden" name="gst_amount" class="form-control" id="gstAmount" value="0.00">
            <input type="text" name="allAmount" class="form-control" id="allAmount" value="0.00">
        </div>
    </div>
</body>
</html>
